#ifndef I2C_FUNCTIONS_H
  #define I2C_FUNCTIONS_H

  #define TWI_PORT PORTC      /* TWI on port C */
  #define TWI TWIC            /* Use TWI-C */

  /* BAUDRATE 400kHz and baud rate register settings */
  #define BAUDRATE	400000
  #define TWI_BAUD(F_SYS, F_TWI) ((F_SYS / (2 * F_TWI)) - 5)
  #define TWI_BAUDSETTING TWI_BAUD(F_CPU, BAUDRATE)

  void InitI2C_v(void);
  bool WriteI2C_b(u8 Address_u8, u8 NumberBytes_u8, u8 * Data_p);
  bool ReadI2C_b(u8 Address_u8, u8 NumberBytes_u8, u8 * Data_p);
#endif